Package org.drinkless.tdlib

# Class TdApi.UserFullInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UserFullInfo

Enclosing class:
  TdApi

public static class TdApi.UserFullInfo extends TdApi.Object
Contains full information about a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.FormattedText`
  `bio`
  A short user bio; may be null for bots.
  `TdApi.Birthdate`
  `birthdate`
  Birthdate of the user; may be null if unknown.
  `TdApi.BlockList`
  `blockList`
  Block list to which the user is added; may be null if none.
  `TdApi.BotInfo`
  `botInfo`
  For bots, information about the bot; may be null if the user isn't a bot.
  `TdApi.BusinessInfo`
  `businessInfo`
  Information about business settings for Telegram Business accounts; may be null if none.
  `boolean`
  `canBeCalled`
  True, if the user can be called.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupInCommonCount`
  Number of group chats where both the other user and the current user are a member; 0 for the current user.
  `boolean`
  `hasPostedToProfileStories`
  True, if the user has posted to profile stories.
  `boolean`
  `hasPrivateCalls`
  True, if the user can't be called due to their privacy settings.
  `boolean`
  `hasPrivateForwards`
  True, if the user can't be linked in forwarded messages due to their privacy settings.
  `boolean`
  `hasRestrictedVoiceAndVideoNoteMessages`
  True, if voice and video notes can't be sent or forwarded to the user.
  `boolean`
  `hasSponsoredMessagesEnabled`
  True, if the user always enabled sponsored messages; known only for the current user.
  `boolean`
  `needPhoneNumberPrivacyException`
  True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.
  `long`
  `personalChatId`
  Identifier of the personal chat of the user; 0 if none.
  `TdApi.ChatPhoto`
  `personalPhoto`
  User profile photo set by the current user for the contact; may be null.
  `TdApi.ChatPhoto`
  `photo`
  User profile photo; may be null.
  `TdApi.PremiumPaymentOption[]`
  `premiumGiftOptions`
  The list of available options for gifting Telegram Premium to the user.
  `TdApi.ChatPhoto`
  `publicPhoto`
  User profile photo visible if the main photo is hidden by privacy settings; may be null.
  `boolean`
  `setChatBackground`
  True, if the user set chat background for both chat users and it wasn't reverted yet.
  `boolean`
  `supportsVideoCalls`
  True, if a video call can be created with the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserFullInfo()`
  Contains full information about a user.
  `UserFullInfo(TdApi.ChatPhoto personalPhoto, TdApi.ChatPhoto photo, TdApi.ChatPhoto publicPhoto, TdApi.BlockList blockList, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean hasPrivateForwards, boolean hasRestrictedVoiceAndVideoNoteMessages, boolean hasPostedToProfileStories, boolean hasSponsoredMessagesEnabled, boolean needPhoneNumberPrivacyException, boolean setChatBackground, TdApi.FormattedText bio, TdApi.Birthdate birthdate, long personalChatId, TdApi.PremiumPaymentOption[] premiumGiftOptions, int groupInCommonCount, TdApi.BusinessInfo businessInfo, TdApi.BotInfo botInfo)`
  Contains full information about a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### personalPhoto

    @Nullable public TdApi.ChatPhoto personalPhoto
    User profile photo set by the current user for the contact; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.

  - ### photo

    @Nullable public TdApi.ChatPhoto photo
    User profile photo; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and personalPhoto is null, then it is the same photo as in user.profilePhoto and chat.photo.

  - ### publicPhoto

    @Nullable public TdApi.ChatPhoto publicPhoto
    User profile photo visible if the main photo is hidden by privacy settings; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and both photo and personalPhoto are null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.

  - ### blockList

    @Nullable public TdApi.BlockList blockList
    Block list to which the user is added; may be null if none.

  - ### canBeCalled

    public boolean canBeCalled
    True, if the user can be called.

  - ### supportsVideoCalls

    public boolean supportsVideoCalls
    True, if a video call can be created with the user.

  - ### hasPrivateCalls

    public boolean hasPrivateCalls
    True, if the user can't be called due to their privacy settings.

  - ### hasPrivateForwards

    public boolean hasPrivateForwards
    True, if the user can't be linked in forwarded messages due to their privacy settings.

  - ### hasRestrictedVoiceAndVideoNoteMessages

    public boolean hasRestrictedVoiceAndVideoNoteMessages
    True, if voice and video notes can't be sent or forwarded to the user.

  - ### hasPostedToProfileStories

    public boolean hasPostedToProfileStories
    True, if the user has posted to profile stories.

  - ### hasSponsoredMessagesEnabled

    public boolean hasSponsoredMessagesEnabled
    True, if the user always enabled sponsored messages; known only for the current user.

  - ### needPhoneNumberPrivacyException

    public boolean needPhoneNumberPrivacyException
    True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.

  - ### setChatBackground

    public boolean setChatBackground
    True, if the user set chat background for both chat users and it wasn't reverted yet.

  - ### bio

    @Nullable public TdApi.FormattedText bio
    A short user bio; may be null for bots.

  - ### birthdate

    @Nullable public TdApi.Birthdate birthdate
    Birthdate of the user; may be null if unknown.

  - ### personalChatId

    public long personalChatId
    Identifier of the personal chat of the user; 0 if none.

  - ### premiumGiftOptions

    public TdApi.PremiumPaymentOption[] premiumGiftOptions
    The list of available options for gifting Telegram Premium to the user.

  - ### groupInCommonCount

    public int groupInCommonCount
    Number of group chats where both the other user and the current user are a member; 0 for the current user.

  - ### businessInfo

    @Nullable public TdApi.BusinessInfo businessInfo
    Information about business settings for Telegram Business accounts; may be null if none.

  - ### botInfo

    @Nullable public TdApi.BotInfo botInfo
    For bots, information about the bot; may be null if the user isn't a bot.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UserFullInfo

    public UserFullInfo()
    Contains full information about a user.

  - ### UserFullInfo

    public UserFullInfo(TdApi.ChatPhoto personalPhoto, TdApi.ChatPhoto photo, TdApi.ChatPhoto publicPhoto, TdApi.BlockList blockList, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean hasPrivateForwards, boolean hasRestrictedVoiceAndVideoNoteMessages, boolean hasPostedToProfileStories, boolean hasSponsoredMessagesEnabled, boolean needPhoneNumberPrivacyException, boolean setChatBackground, TdApi.FormattedText bio, TdApi.Birthdate birthdate, long personalChatId, TdApi.PremiumPaymentOption[] premiumGiftOptions, int groupInCommonCount, TdApi.BusinessInfo businessInfo, TdApi.BotInfo botInfo)
    Contains full information about a user.
    Parameters:
      `personalPhoto` - User profile photo set by the current user for the contact; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.
      `photo` - User profile photo; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and personalPhoto is null, then it is the same photo as in user.profilePhoto and chat.photo.
      `publicPhoto` - User profile photo visible if the main photo is hidden by privacy settings; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and both photo and personalPhoto are null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.
      `blockList` - Block list to which the user is added; may be null if none.
      `canBeCalled` - True, if the user can be called.
      `supportsVideoCalls` - True, if a video call can be created with the user.
      `hasPrivateCalls` - True, if the user can't be called due to their privacy settings.
      `hasPrivateForwards` - True, if the user can't be linked in forwarded messages due to their privacy settings.
      `hasRestrictedVoiceAndVideoNoteMessages` - True, if voice and video notes can't be sent or forwarded to the user.
      `hasPostedToProfileStories` - True, if the user has posted to profile stories.
      `hasSponsoredMessagesEnabled` - True, if the user always enabled sponsored messages; known only for the current user.
      `needPhoneNumberPrivacyException` - True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.
      `setChatBackground` - True, if the user set chat background for both chat users and it wasn't reverted yet.
      `bio` - A short user bio; may be null for bots.
      `birthdate` - Birthdate of the user; may be null if unknown.
      `personalChatId` - Identifier of the personal chat of the user; 0 if none.
      `premiumGiftOptions` - The list of available options for gifting Telegram Premium to the user.
      `groupInCommonCount` - Number of group chats where both the other user and the current user are a member; 0 for the current user.
      `businessInfo` - Information about business settings for Telegram Business accounts; may be null if none.
      `botInfo` - For bots, information about the bot; may be null if the user isn't a bot.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR